(C) by Fabrizio Giudici, 1994.
All rights reserved.


READ ME FIRST!
==============


The instructions in the following paragraphs are just a starting point
to write this manual... There are *a lot* of bugs and imprecisions
that will be fixed up in future releases. Please be patient.

PLEASE READ ALL THIS FILE BEFORE STARTING FGFLY...




THE DEMO
========

Run FGFLY. You should see a copyright notice and a really old-fashioned
menu. You may choose three demos:

   1) INTERCEPT A DRONE: take off from the carrier and shoot down a drone.
   2) LANDING PRACTICE:  you start airborne ten miles behind the carrier
                         and try to land.
   3) CARRIER ATTACK:    a non-interactive demo featuring a missile attack
                         against the carrier.





INTERCEPTING THE DRONE BQM-74
=============================

The simulation starts with the aircraft at the launch catapult.
Press F1 to switch to internal view.
First of all, you must engage wheel brakes by pressing the
"W" key. 
After you engage the wheel brakes, you're ready to take a look at the
cockpit.



A first glance to the HUD
-------------------------

Just in front of you there is the HUD (AN/AVQ-28).

The HUD (Head Up Display) is an instrument that allows you to read the main
flight parameters without lowering the head to look at the other instruments.

On the upper part of the HUD you may see the Heading Indicator, that
displays the route you're currently following.

Your aircraft is equipped with an Inertial Navigation System (INS), who
was preloaded before taking off with the waypoint you must reach.

A caret ( ^ ) on the HUD is always pointing the heading to hold in order to
reach the next waypoint. When the caret is centered, you are heading towards 
the next waypoint.

The number framed by a rectangle in the left part of the HUD is the readout
of the airspeed (True Air Speed - TAS), expressed in knots.

The number framed by a rectangle in the right part of the HUD is the readout
of the altitude (Altitude on the Sea Level - ASL), expressed in feet.
You should always keep this value greater than zero ;)

Just over the ASL readout there is the readout for the current Rate of Climb/
Descent, that is the Vertical Speed Indicator. It displays the amount of
altitude you're gaining/losing expressed in feet/minute. For example, if
you are at 1000 feet of ASL and the Rate of Climb/Descent displays -500,
you'll be on the ground in a couple of minutes.

The object displayed in the center is the "Pitch Ladder". It gives you
information about the pitch of your aircraft. The pitch ladder is made by
several segments representing angles with steps of 5 degrees.
The segments associated with negative degrees are dotted.

You should see a small dot just in the center of the HUD. Its position
within the Pitch Ladder gives you your actual pitch.

When you're going straight and level, near the small dot you should see a
circle with three small segments. This is the Velocity Vector and its
position within the Pitch Ladder gives the direction of the speed of the
aircraft. It is superimposed to the central dot when the AOA is zero.

The current pitch of your aircraft is

To the left of the pitch ladder, there are four readouts:

  - the first, marked by an "alpha", is the value of your Angle Of Attack
    (AOA) expressed in degrees.

  - just under the AOA, there is the readout for the Mach Number;
  - under the Mach Number, there is the readout for the current G factor;
  - the last value is the max. amount of gees you reached since you
    took off.

Presently you can see only the first readout. The others will be enabled
when, after taking off, you retract the landing gear.


The Horizontal Indicator
------------------------

If you lower your head (by pressing the "1" on the keypad) you may look
at the Horizontal Indicator (HI), that is the monitor placed in the center of
the cockpit.
The Horizontal indicator displays auxiliary data about your route. The
cross-shaped symbol you may see at the center of the display is a placeholder
for your aircraft. Around it, you may see an electronic compass with the
readout of the four cardinal points (N,E,S,W). Near the compass you should
see a dot placed near the heading you must hold in order to reach the next
waypoint (this information is similar to the one provided by the HUD).

On the upper right part, you may see three useful readouts:

    300 / 4.8
        45.3

The first number is the waypoint bearing readout, the second is the range
from the next waypoint expressed in Nautical Miles (NM).
The number below is an estimate of the Time To Go to the next waypoint.


The DDI's
---------

The displays in the left and the right of the cockpit are the Left Digital
Display Indicator and the Right Digital Display Indicator (LDDI and RDDI).
You may look at them turning the head with the "0" and "." on the keypad.

The DDI's may be programmed to display useful information when you have to
shoot down some bad guy...

The Left DDI now should be programmed to display the current Master Arm
status. Currently you should read the word "SAFE". This means that even
if you push the trigger, no weapon will be fired.
There should be many other information on the Left DDI, but they have not
been implemented yet.

The Right DDI now should be programmed to display the radar readout. We'll
discuss about it later.

Now, raise your head by pressing "8" or "5" on the keypad.


The external view
=================

You may switch to the external view by pressing the F1 key. You'll see
your aircraft on the carrier deck.
You may move the camera with the keys "7", "1", "0", "." on the keypad.
The camera can be moved closer or further from the target with F9/F10.

To switch back to the pilot's view, press F1 again.


Taking off from the carrier deck
================================

OK, you're cleared for take off! Extract the flaps by pressing the "F"
keym, then start the engines by pressing once
the "+" on the keypad. The engines should start and come up to 25% power.
Now keep the "+" pressed since you reach 100% power. When the engines
are about full power, the carrier catapult will
automatically release your wheel brakes and the aircraft will start moving.
When you notice you're moving, apply full elevator up, by pressing the
"2" on the keypad, or pulling the joystick.
You may see the stick position in the upper right corner of the screen.

When you leave the carrier deck, retract the landing gear by pressing the
"L" key, retract the flaps by pressing the "G" key and adjust your stick 
in order to hold a 15 degrees climb.
The landing gear takes some seconds to fully retract. If you look down
in the left of the cockpit, you should see that three green lights 
turning into red and then off. When the gear is fully retracted, the
symbology on the hud slightly changes, and three more readouts appear
(we described them in the previous sections.).

When you reach 3000 feet of ASL, you may level out. Push the joystick
(or press the "8" on the keypad) until you read a small number (less than
300 in absolute value) in the Rate of Climb/Descent readout.

Since the Hornet has a Fly By Wire (FBW) controlling system, there's no
need to trim (you may turn off the FBW computer by pressing the "J" key,
and turn it on again with the same key - however is quite impossible
to control the aircraft with the keyboard and the FBW system disabled).

If you leave the stick centered, the FBW system automatically changes
the elevons position trying to mantain the current attitude (you may
look at the elevons by turning your head back or by switching to the
external view).

Adjust the throttle to hold 450 knots of speed. You may use as well the
brakes, toggled by the BACKSPACE.

Then look at the caret in the Heading Readout on the HUD. 
Turn your nose until you see it in the center of the readout.
Well! Now you're heading to the next waypoint.

**NOTE** These operations are a little hard due to the bad flight model
         currently implemented. You'll experience a little instability...

Now adjust the throttle ("-" and "+" on the keypad) to reach about 500 knots
of TAS. Keep this speed.

You should notice that with just the right hand placed over the numerical
keypad, you may control the stick, the throttle and your head position.

It will take some minute to reach the waypoint. We use this time to get
acquainted with the radar.


Getting acquainted with the radar
---------------------------------

Turn your head and look at the Right DDI. You should see the radar readout.
The first thing you note is the horizontal scan indicator sweeping back
and forth on the display.

** NOTE ** The radar AN/APG-65 mounted on F/A-18's has many different
           operational modes. Due to my current lack of documentation,
           they are not implemented.

The number in the left upper corner is the readout of the current range.
It may be set to 10 - 20 - 40 - 80 NM by pressing the "R" and "E" keys.

Now, set it to 80 NM. After this operation, you should see an object
within the display. This is a "blip", and represents the position of an
airborne object that is flying somewhere in front of you.

In this case, the object is the BQM-74 drone you should shoot down...
well, this stuff is getting more interesting ;)

OK, boy! Hit once the "T" key to designate the target, than the "Y" to
lock it (the "U" key may be used to clear the lock).

** NOTE ** Even if the keys "E", "Y" and "U" have not proper mnemonicals,
           thay have been choosen since the five keys used to control the
           radar (E, R, T, Y, U) are contiguous.

Now you should see more information in the radar display.

Just to the left of the blip you can see the altitude of the target,
expressed in thousands of feet; just to the right you may read the speed
of the target expressed in knots.

Near the left edge of the display, other two readouts should have appeared.
The first is the range of the blip, expressed in Nautical Miles; under it
there is the aspect angle of the target.

On the HUD, the Target Designator, a flashing green square, should be
turned on. The Target Designator is always placed upon the perspective view
of the target.

** NOTE ** If the target range is greater than 18 NM, the Target Designator
           could be badly placed. To intercept the target, you should use
           the information in the radar display.



The weapon controller
---------------------

Now it's time to select a missile! 
To do this, just press "RETURN" to select the weapon. Since your aircraft 
was loaded only with AIM-9's, obviously this weapon will be selected.
On the bottom of the HUD you should see "9M-0". The first two digit
are the name of the selected weapon, while the "0" is the number of
available weapons.

** NOTE ** Of course you'd read "9M-2", since you've still two missiles.
           The weapon controller is broken.

Over the missile name you should see a "cancelling bar". This bar says
that the Master Arm Switch is still off.

On the right of the HUD, two new readout should be appeared.
The first is the Velocity Of Closure (Vc), and it's your relative speed
to the target. It's negative if you're getting closer, positive otherwise.

** NOTE ** The computation of the Vc is broken. You'll always read -10.

The other readout is the range of the target. This is the same info you
read on the radar, but on the HUD it's displayed with a decimal digit.

YOU SHOULD NOT SHOOT NOW! In facts, the target has been locked only
by the radar, not by the missile (this is because AIM-9's have I-R
seekers that could be locked only at closer ranges.)
Besides, even if you hit the spacebar (that works as the trigger) nothing
happens, since the Master Arm Switch is off.

In this demo, AIM-9's will lock their target when the range is under
4 NM. You should get closer to the target, if needed by adjusting the
throttle to gain speed. Don't gain too much speed, or you'll risk to
overrun the target, losing the lock. Besides, if the target is not just
a drone, but a bad guy on his aircraft, it's definitely not a good idea
to have him on your six!

When the target range comes under 8NM, you should see its smoke trail.

When you reach 4 NM of target range, on the HUD the string "SHOOT" should
appear. This confirms that the missile has acquired its target.

** NOTE ** The string "SHOOT" may not appear due to a bug. However, if
           the range is under 4NM and the radar is still locked, the missile
           is surely locked too.

Now turn the Master Arm Switch on. To do this, just press the right shift.
On the Left DDI, the indication "SAFE" should turn to "ARM".

Now you may shoot by pressing the space bar.

The missile will start the pursue and in a few seconds it will hit its
target.

** NOTE ** You may see the missile on the radar, and the radar locks
           onto it. After the missile explosion, the radar locks
           back to the target. All this stuff is obviously a set of bugs...

You may understand that the target has been hit when you see the target 
altitude readout on the radar rapidly decreasing.

Well! You experienced your first interception with FGFLY!


Following the route
-------------------

Now you have not so many things to do... just look at the HUD caret and
the Horizontal Indicator and follow the route heading to the next waypoint.
When the range to the next waypoint goes under some NM's, the INS updates
automatically to the next one.

Following the pre-loaded waypoints you should find yourself some tenth miles
behind your carrier...


The last step: landing on the carrier deck
------------------------------------------

O.K., boy, this is really cool! And it's much cooler if you remember the
big amount of instability you experience each time you try to turn your
nose!

You can verify the carrier position by locking it on the radar.

** NOTE ** This is just another bug... I guess there's another radar mode
           to see ground targets...

Well, now you should level out at 2000 feet and 350 knots. Check the carrier
position on the radar and try to hold it some miles on your left.

Hit the "I" key, so you should see the ILS localizer and glideslope 
overimposed on your HUD.

You should extract the flaps (hit twice the "F" key) and the landing
gear ("L" key), then you'd try to keep the ILS crosshairs centered on 
the HUD... but I guess is actually impossible to land on the carrier
with the current flight model, so I think you could press ESC and terminate
the simulation. 
If you're not bored yet, of course you may keep on flying ... until the
first serius bug occurs and FGFLY crashes ... :(




LANDING ON THE CARRIER
======================

I just stated that landing on the carrier is presently impossible...
Use this demo to try some manouvering with your aircraft...
You could try max speed, max ceiling, how stalls are managed, etc...



CARRIER UNDER ATTACK
====================

This is a non-interactive demo. You can just move the camera around 
various objects. Press TAB to select an object. If you just don't see
anything, press JUST ONCE F9 and wait...
Two cruise missiles AS-4 (actually their 3D model is the same as
BQM-74...) have been launched against the carrier.

In the file FLYSIM.CFG you may edit the entry "CARRIER DEFENSE ACTIVATED".
If this feature is on (default), the carrier will launch two Sea Sparrow
RIM-7 missiles to shoot down the inbound threats.



SUMMARY OF KEYS
===============


External view control

Key             Meaning

TAB:            change framed object.
F1:             toggle to internal view (if available)
F2:             toggle to avanti/indietro
F3:             toggle to left/right view;
F4:             toggle to upper/lower view;
F5:             activate pass by mode;
F6:             activate Chase and Chase 2 modes;
F9:             get further;
F10:            get nearer;
F11:            toggle horizontal rotation around the object;
F12:            toggle vertical rotation around the object;

HOME:           move the camera up;
END:            move the camera down;
INS:            move the camera to the left;
DEL:            move the camera to the right


Pilot view control:

HOME:           turn the head up;
END:            turn the head down;
INS:            turn the head to the left;
DEL:            turn the head to the right;
keyp.5:         look forward
keyp.5:         look backward



Aircraft control:

UP:             move the stick forward;
DOWN:           move the stick backward;
LEFT:           move the stick to the left;
RIGHT:          move the stick to the right;

NUM LOCK:       push the left pedal;
keypad /:       center the pedals;
keypad *:       push the right pedal;

keypad +:       inc throttle;
keypad -:       dec throttle;
keypad + (2):   max throttle (SLAM OPEN);
keypad - (2):   min throttle (SLAM SHUT);
PGUP:           inc afterburner;
PGDN:           dec afterburner;
PGUP (2):       set full afterburner;
PGDN (2):       turn the afterburner off;

L:              extract/retract the landing gear;
F:              extract the flaps/slats (2 positions);
G:              retract the flaps/slats (2 positions);
BACKSPACE:      extract/retract the brakes;
W:              toggle wheel brakes;

R:              inc radar range;
E:              dec radar range;
T:              select the target;
Y:              lock the target;
U:              unlock the target;
Alt R:          turn on/off the radar;

I:              toggle ILS on/off;
V:              next waypoint; (n.a.)
B:              previous waypoint; (n.a.)

[:              change left DDI mode;
]:              change right DDI mode;
=:              change center DDI mode;

SPACE:          shoot the selected weapon;
RIGHT SHIFT:    master arm on/off;
RETURN:         select next available air/air weapon;
':              select next available air/ground weapon; (n.a.)
Z:              ECM on/off (n.a.)
C:              Chaff (n.a.)
X:              Flare (n.a.)



Simulation:


ESC:            quit
P:              pause;
<:              dec time scale;
>:              inc time scale;
Alt keypad +:   inc daytime;
Alt keypad -:   dec daytime;



CONFIGURATION
=============

You may find the configuration setup in the file FGFLY.CFG
It's an ASCII file and may be easily modified.
